ProxyAuthK8S
ApiApi_clusters

Get all cluster visible to the user.

GET
/api/v1/clusters

Get all cluster visible to the user, if the user is not authenticated return 401, if none return an empty array.

Authorization

bearer_auth
headerAuthorizationBearer <JWT>

Response Body

Get all visible clusters.

application/json
  1. response

Body of the response for the get_all_visible_cluster endpoint.

Contains a list of clusters visible to the user. Will be empty if the user has no clusters visible to them.

clusters*array<>
Example Request
curl -X GET 'https://example.com/api/v1/clusters'
Example Response
{  "clusters": [    {      "enabled": true,      "is_reachable": true,      "name": "string",      "namespace": "string",      "sso_enabled": true,      "token_exchange": true    }  ]}